##  for PCLinuxOS  ##

%define ver 1.0.3
%define rel 2

%define git_date 20171225
%if %{git_date}
%define realrel %{rel}.git%{git_date}.nora18
%else
%define realrel %{rel}.nora18
%endif


Name:    libskk
Summary: Library to deal with Japanese kana-to-kanji conversion method
Version: %{ver}
Release:%{realrel}
License: GPLv3+
Group:   System/Libraries
URL:     http://github.com/ueno/libskk

%if %{git_date}
Source0: %{name}-git%{git_date}.tar.xz
#Patch0:  autogen_sh.patch
%else
Source0: https://github.com/ueno/libskk/releases/download/%{version}/%{name}-%{version}.tar.xz
%endif

BuildRequires: vala
BuildRequires: libgee-devel
BuildRequires: %{_lib}json-glib-devel
BuildRequires: gobject-introspection-devel
BuildRequires: intltool
%if %{git_date}
BuildRequires: gnome-common
%endif

%description
The libskk project aims to provide GObject-based interface of Japanese input methods.
Currently it supports SKK (Simple Kana Kanji) with various typing rules including romaji-to-kana, AZIK, ACT, TUT-Code, T-Code, and NICOLA.


%package devel
Summary:  Development files for %{name}
Group:    Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for developing applications that use %{name}.


%package tools
Summary: Tools for %{name}
Group:   Development/Tools
BuildRequires: libfep-devel
Requires: %{name} = %{version}-%{release}

%description tools
The %{name}-tools package contains tools for developing applications that use %{name}.


%prep
%if %{git_date}
%setup -q -n %{name}-git%{git_date}
#%%patch0 -p1
%else
%setup -q
%endif


%build
%if %{git_date}
./autogen.sh \
 --prefix=%{_prefix} \
 --libdir=%{_libdir}  \
 --libexecdir=%{_libdir} \
 --disable-static \
 --enable-fep
%else
%configure2_5x  --libexecdir=%{_libdir} --disable-static --enable-fep
%endif

sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT INSTALL="install -p"
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%find_lang %{name}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files -f %{name}.lang
%doc README rules/README.rules COPYING
%{_libdir}/libskk.so.*
%{_libdir}/girepository-1.0/Skk*.typelib
%{_datadir}/libskk

%files devel
%{_includedir}/*
%{_libdir}/libskk.so
%{_libdir}/pkgconfig/libskk.pc
%{_datadir}/gir-1.0/Skk*.gir
%{_datadir}/vala/vapi/*

%files tools
%{_bindir}/skk*
%{_libdir}/skkfep-client
%{_mandir}/man1/skk*


%changelog
* Mon Jan 15 2018 tomcat <> 1.0.3-2.git20171225
- update to git.20171225
- drop Patch0

* Sat Nov 11 2017 tomcat <> 1.0.3-1
- update to 1.0.3

* Sat Sep 16 2017 tomcat <> 1.0.2-2.git20160610
- update to git.20160610
- use %%make_build instead of %%make

* Tue May 26 2015 tomcat <> 1.0.2-1.git20150413
- update to git.20150413

* Mon Nov 11 2013 pinoc <vogtpet at gmail.com> 1.0.1-1pclos2013
- imported package
